<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SetRole.aspx.cs" Inherits="KstCMS.KstCMS_Manager.SystemSet.Users.role.SetRole" %>

<html>
<head  runat="server">
    <title>编辑角色权限</title>
<script language="javascript" type="text/javascript">

    function check_all(menu_all, MENU_ID) {

        var o = document.getElementById(MENU_ID);
        if (o) {

            for (i = 0; i < document.getElementsByName(MENU_ID).length; i++) {
                if (menu_all.checked)
                    document.getElementsByName(MENU_ID).item(i).checked = true;
                else
                    document.getElementsByName(MENU_ID).item(i).checked = false;
            }

            if (i == 0) {
                if (menu_all.checked)
                    document.getElementsByName(MENU_ID).checked = true;
                else
                    document.getElementsByName(MENU_ID).checked = false;
            }
        }
    }
</script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:Panel ID="Panel1" runat="server" CssClass="MainBox">
        <table class="PageTitle" width="99%"><tr><td>
        <img src="<%=SysRootUrl %>/KstCMS_Manager/images/edit.gif"  align="absmiddle" /> 编辑角色权限 ( 
            <asp:Literal ID="LitTitle" runat="server"></asp:Literal> )
        </td>
        <td align="right">
            <asp:Button ID="OkBtn" runat="server" Text="保 存" CssClass="ssbutton" align="absmiddle" /></td>
        </tr></table>
<table border="0" cellspacing="0" cellpadding="2" width="99%" style="border:1px solid #cccccc; height:100%">
  <tr>
    <td align="left" valign="top">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanel1" ChildrenAsTriggers="true"  runat="server" UpdateMode="Conditional">
       <Triggers>
       <asp:AsyncPostBackTrigger ControlID="OkBtn" />
       </Triggers>
        <ContentTemplate>
           <asp:Literal ID="LitMenu" runat="server"></asp:Literal>
        </ContentTemplate>  
        </asp:UpdatePanel>
        </td>
  </tr>
</table>
<input type="hidden" name="CheckBoxNameAndValue" value="<%=CheckBoxNameAndValue %>" />
    </asp:Panel>
    <asp:UpdateProgress ID="UpdateProgress1" runat="server">
    <ProgressTemplate> 正在更新权限，请稍候...</ProgressTemplate>
     
    </asp:UpdateProgress>
    </form>
</body>
</html>
